Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class Text

    java.lang.Object
      com.google.appengine.api.datastore.Text

All Implemented Interfaces:
  java.io.Serializable

    public final class Text

extends java.lang.Object
implements java.io.Serializable

`Text` wraps around a string of unlimited size. Ordinary Java strings stored as properties in `Entity` objects are limited to 500 characters. However, `Text` objects can also be stored in properties, and are unlimited in size. However, they will not be indexed for query purposes.

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`Text(java.lang.String value)` Construct a new `Text` object with the specified value.

Method Summary
`boolean` | `equals(java.lang.Object object)` Two `Text` objects are considered equal if their content strings match exactly.
`java.lang.String` | `getValue()` Return the value of this `Text`.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the first 70 characters of the underlying string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Text

    public Text(java.lang.String value)

  Construct a new `Text` object with the specified value. This object cannot be modified after construction.

Method Detail

### getValue

    public java.lang.String getValue()

  Return the value of this `Text`. Can be `null`.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Two `Text` objects are considered equal if their content strings match exactly.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns the first 70 characters of the underlying string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD